kautomount.h
/* This file is part of the KDE libraries
Copyright (C) 2000 David Faure <faure@kde.org>
This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Library General Public
License version 2 as published by the Free Software Foundation.
This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
Library General Public License for more details.
You should have received a copy of the GNU Library General Public License
along with this library; see the file COPYING.LIB. If not, write to
the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
Boston, MA 02110-1301, USA.
*/
#ifndef __auto_mount_h__
#define __auto_mount_h__
#include <qobject.h>
#include <qstring.h>
#include <kdelibs_export.h>
#ifdef Q_OS_UNIX
namespace KIO {
class Job;
}
class KIO_EXPORT KAutoMount : public QObject
{
Q_OBJECT
friend class gcc_gives_a_warning_without_this;
public:
KAutoMount( bool readonly, const QString& format, const QString& device, const QString& mountpoint,
const QString & desktopFile, bool show_filemanager_window = true );
signals:
void finished();
void error();
protected slots:
void slotResult( KIO::Job * );
protected:
QString m_strDevice;
bool m_bShowFilemanagerWindow;
QString m_desktopFile;
private:
~KAutoMount() {}
class KAutoMountPrivate* d;
};
class KIO_EXPORT KAutoUnmount : public QObject
{
Q_OBJECT
friend class gcc_gives_a_warning_without_this;
public:
KAutoUnmount( const QString & mountpoint, const QString & desktopFile );
signals:
void finished();
void error();
protected slots:
void slotResult( KIO::Job * );
private:
QString m_desktopFile;
QString m_mountpoint;
private:
~KAutoUnmount() {}
class KAutoUnmountPrivate* d;
};
#endif //Q_OS_UNIX
#endif
KAutoMount
This class implements synchronous mounting of devices, as well as showing a file-manager window after...
Definition: kautomount.h:41
KAutoUnmount
This class implements synchronous unmounting of devices, It is a wrapper around the asychronous KIO::...
Definition: kautomount.h:86
KIO::Job
The base class for all jobs.
Definition: jobclasses.h:68

KDE Home | KDE Accessibility Home | Description of Access Keys